For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Overview
    • Introduction
    • Response Codes
  • API Reference
      • GETGet integration
      • PUTUpdate integration
      • DELDelete integration
      • GETList integrations
      • POSTCreate integration
LogoLogo
API ReferenceIntegrations

Update integration

||View as Markdown|
PUT
https://hublinks.io/rest/accounts/:account_id/integrations/hubspot
PUT
/rest/accounts/:account_id/integrations/hubspot
$curl -X PUT https://hublinks.io/rest/accounts/account_id/integrations/hubspot \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration": {
> "status": "DISABLED"
> }
>}'
200Updated
1{}
Update an integration. **Request body fields:** - `integration_id` (string, required) - e.g. `hubspot`, `salesforce`. - `account_id` (string, required) - Account to associate the integration with. - `config` (object, optional) - Provider-specific configuration key/value pairs.
Was this page helpful?
Previous

Get integration

Next

Delete integration

Built with

Update an integration.

Request body fields:

  • integration_id (string, required) - e.g. hubspot, salesforce.
  • account_id (string, required) - Account to associate the integration with.
  • config (object, optional) - Provider-specific configuration key/value pairs.

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

account_idstringRequired

Request

This endpoint expects an object.
integrationobjectRequired

Response

Successful response